<?php

namespace Netzmacher\Tsconf\Backend;

/* * *************************************************************
 *
 *  The MIT License (MIT)
 *
 *  Copyright (c) 2020 - Dirk Wildt, http://wildt.at.die-netzmacher.de
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 *  THE SOFTWARE.
 *
 * ************************************************************* */

/**
 * @author Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package    TYPO3
 * @subpackage  tsconf
 *
 * @version 10.0.0
 * @since 10.0.0
 */
class Extensionmanager
{

  /**
   * @var array
   */
  static $_extConf = '';

  /**
   * @access private
   * @return      void
   * @version     10.0.0
   * @since       10.0.0
   */
  static private function _initExtConf()
  {
    self::$_extConf = $GLOBALS['TYPO3_CONF_VARS']['EXTENSIONS']['tsconf'];
  }

  /**
   * @access private
   * @return      void
   * @version     10.0.0
   * @since       10.0.0
   */
  static private function _ExtConfSerialize()
  {
    if (is_array(self::$_extConf))
    {
      self::$_extConf = serialize(self::$_extConf);
    }
  }

  /**
   * @access private
   * @return      void
   * @version     10.0.0
   * @since       10.0.0
   */
  static private function _ExtConfUnserialize()
  {
    if (!is_array(self::$_extConf))
    {
      self::$_extConf = unserialize(self::$_extConf);
    }
  }

  /**
   * @access private
   * @param string		$key: Key of the extension manager
   * @return string		$value: corresponding value
   * @version 10.0.0
   * @since 10.0.0
   */
  static public function getProperty($key)
  {
    self::_initExtConf();
    self::_ExtConfUnserialize();
//		var_dump( __METHOD__, __LINE__, self::$_extConf );
//		die();
    $value = self::$_extConf[$key];
    self::_ExtConfSerialize();

    return $value;
  }

}
