<?php

namespace Netzmacher\Tsconf\Misc;

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2020 - Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * Class provides methods for the extension manager.
 *
 * @author    Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package    TYPO3
 * @subpackage    tsconf
 * @version  10.0.0
 * @since    10.0.0
 */
class TsconfIcons
{

	/**
	 * @var string
	 */
	private static $_extIconPath = 'EXT:tsconf/Resources/Public/Icons/PageTree/';

	/**
	 * Get() Get the TYPO3Icons
	 *
	 * @return  array
	 * @access  public
	 * @version 10.0.0
	 * @since   10.0.0
	 */
	public static function Get()
	{
		return self::_icons();
	}

	/**
	 * _icons()
	 *
	 * @return  array
	 * @access  private
	 * @version 10.0.0
	 * @since   10.0.0
	 */
	private static function _icons()
	{

		$icons = array(
				'animator' => array(
						'identifier' => 'contains-animator'
						, 'key' => 'animator'	 // <- Key must be the part behind contains- of the identifier!
						, 'label' => 'Application animator'
						, 'source' => self::$_extIconPath . 'tool-animator.png'
				),
				'balloon' => array(
						'identifier' => 'contains-balloon'
						, 'key' => 'balloon'
						, 'label' => 'Application balloon'
						, 'source' => self::$_extIconPath . 'view-conversation-balloon.png'
				),
				'calendar' => array(
						'identifier' => 'contains-calendar'
						, 'key' => 'calendar'
						, 'label' => 'Application calendar'
						, 'source' => self::$_extIconPath . 'office-calendar.png'
				),
				'appl-exit' => array(
						'identifier' => 'contains-appl-exit'
						, 'key' => 'appl-exit'
						, 'label' => 'Application exit'
						, 'source' => self::$_extIconPath . 'application-exit.png'
				),
				'filter' => array(
						'identifier' => 'contains-filter'
						, 'key' => 'filter'
						, 'label' => 'Application filter'
						, 'source' => self::$_extIconPath . 'view-filter.png'
				),
				'appl-rss' => array(
						'identifier' => 'contains-appl-rss'
						, 'key' => 'appl-rss'
						, 'label' => 'Application rss'
						, 'source' => self::$_extIconPath . 'application-rss+xml.png'
				),
				'appl-intnt' => array(
						'identifier' => 'contains-appl-intnt'
						, 'key' => 'appl-intnt'
						, 'label' => 'Application web'
						, 'source' => self::$_extIconPath . 'applications-internet.png'
				),
				'code-class' => array(
						'identifier' => 'contains-code-class'
						, 'key' => 'code-class'
						, 'label' => 'Code class'
						, 'source' => self::$_extIconPath . 'code-class.png'
				),
				'code-cntxt' => array(
						'identifier' => 'contains-code-cntxt'
						, 'key' => 'code-cntxt'
						, 'label' => 'Code context'
						, 'source' => self::$_extIconPath . 'code-context.png'
				),
				'media-dvd' => array(
						'identifier' => 'contains-media-dvd'
						, 'key' => 'media-dvd'
						, 'label' => 'Device media recorder'
						, 'source' => self::$_extIconPath . 'media-optical-recordable.png'
				),
				'cam-photo' => array(
						'identifier' => 'contains-cam-photo'
						, 'key' => 'cam-photo'
						, 'label' => 'Device photo'
						, 'source' => self::$_extIconPath . 'camera-photo.png'
				),
				'speaker' => array(
						'identifier' => 'contains-speaker'
						, 'key' => 'speaker'
						, 'label' => 'Device speaker'
						, 'source' => self::$_extIconPath . 'speaker.png'
				),
				'call-start' => array(
						'identifier' => 'contains-call-start'
						, 'key' => 'call-start'
						, 'label' => 'Dialog call start'
						, 'source' => self::$_extIconPath . 'call-start.png'
				),
				'call-stop' => array(
						'identifier' => 'contains-call-stop'
						, 'key' => 'call-stop'
						, 'label' => 'Dialog call stop'
						, 'source' => self::$_extIconPath . 'call-stop.png'
				),
				'dlg-cancel' => array(
						'identifier' => 'contains-dlg-cancel'
						, 'key' => 'dlg-cancel'
						, 'label' => 'Dialog cancel'
						, 'source' => self::$_extIconPath . 'dialog-cancel.png'
				),
				'dlg-close' => array(
						'identifier' => 'contains-dlg-close'
						, 'key' => 'dlg-close'
						, 'label' => 'Dialog close'
						, 'source' => self::$_extIconPath . 'dialog-close.png'
				),
				'help' => array(
						'identifier' => 'contains-help'
						, 'key' => 'help'
						, 'label' => 'Dialog help'
						, 'source' => self::$_extIconPath . 'help-hint.png'
				),
				'dlg-ok' => array(
						'identifier' => 'contains-dlg-ok'
						, 'key' => 'dlg-ok'
						, 'label' => 'Dialog ok'
						, 'source' => self::$_extIconPath . 'dialog-ok-apply.png'
				),
				'dlg-passwd' => array(
						'identifier' => 'contains-dlg-passwd'
						, 'key' => 'dlg-passwd'
						, 'label' => 'Dialog password'
						, 'source' => self::$_extIconPath . 'dialog-password.png'
				),
				'favorite' => array(
						'identifier' => 'contains-favorite'
						, 'key' => 'favorite'
						, 'label' => 'Emblem favorite'
						, 'source' => self::$_extIconPath . 'emblem-favorite.png'
				),
				'important' => array(
						'identifier' => 'contains-important'
						, 'key' => 'important'
						, 'label' => 'Emblem important'
						, 'source' => self::$_extIconPath . 'emblem-important.png'
				),
				'flg_black' => array(
						'identifier' => 'contains-flg_black'
						, 'key' => 'flg_black'
						, 'label' => 'Flag black'
						, 'source' => self::$_extIconPath . 'flag-black.png'
				),
				'flg_blue' => array(
						'identifier' => 'contains-flg_blue'
						, 'key' => 'flg_blue'
						, 'label' => 'Flag blue'
						, 'source' => self::$_extIconPath . 'flag-blue.png'
				),
				'flg_green' => array(
						'identifier' => 'contains-flg_green'
						, 'key' => 'flg_green'
						, 'label' => 'Flag green'
						, 'source' => self::$_extIconPath . 'flag-green.png'
				),
				'flg_red' => array(
						'identifier' => 'contains-flg_red'
						, 'key' => 'flg_red'
						, 'label' => 'Flag red'
						, 'source' => self::$_extIconPath . 'flag-red.png'
				),
				'flg_yellow' => array(
						'identifier' => 'contains-flg_yellow'
						, 'key' => 'flg_yellow'
						, 'label' => 'Flag yellow'
						, 'source' => self::$_extIconPath . 'flag-yellow.png'
				),
				'fld_blue' => array(
						'identifier' => 'contains-fld_blue'
						, 'key' => 'fld_blue'
						, 'label' => 'Folder blue'
						, 'source' => self::$_extIconPath . 'folder-blue.png'
				),
				'fld_bkmrk' => array(
						'identifier' => 'contains-fld_bkmrk'
						, 'key' => 'fld_bkmrk'
						, 'label' => 'Folder bookmark '
						, 'source' => self::$_extIconPath . 'folder-bookmark.png'
				),
				'fld_brown' => array(
						'identifier' => 'contains-fld_brown'
						, 'key' => 'fld_brown'
						, 'label' => 'Folder brown'
						, 'source' => self::$_extIconPath . 'folder-brown.png'
				),
				'fld_cyan' => array(
						'identifier' => 'contains-fld_cyan'
						, 'key' => 'fld_cyan'
						, 'label' => 'Folder cyan'
						, 'source' => self::$_extIconPath . 'folder-cyan.png'
				),
				'fld' => array(
						'identifier' => 'contains-fld'
						, 'key' => 'fld'
						, 'label' => 'Folder default'
						, 'source' => self::$_extIconPath . 'folder.png'
				),
				'fld_dev' => array(
						'identifier' => 'contains-fld_dev'
						, 'key' => 'fld_dev'
						, 'label' => 'Folder development'
						, 'source' => self::$_extIconPath . 'folder-development.png'
				),
				'fld_docs' => array(
						'identifier' => 'contains-fld_docs'
						, 'key' => 'fld_docs'
						, 'label' => 'Folder documents'
						, 'source' => self::$_extIconPath . 'folder-documents.png'
				),
				'fld_down' => array(
						'identifier' => 'contains-fld_down'
						, 'key' => 'fld_down'
						, 'label' => 'Folder downloads'
						, 'source' => self::$_extIconPath . 'folder-downloads.png'
				),
				'fld_fvrts' => array(
						'identifier' => 'contains-fld_fvrts'
						, 'key' => 'fld_fvrts'
						, 'label' => 'Folder favorites'
						, 'source' => self::$_extIconPath . 'folder-favorites.png'
				),
				'fld_green' => array(
						'identifier' => 'contains-fld_green'
						, 'key' => 'fld_green'
						, 'label' => 'Folder green'
						, 'source' => self::$_extIconPath . 'folder-green.png'
				),
				'fld_imprtt' => array(
						'identifier' => 'contains-fld_imprtt'
						, 'key' => 'fld_imprtt'
						, 'label' => 'Folder important'
						, 'source' => self::$_extIconPath . 'folder-important.png'
				),
				'fld_locked' => array(
						'identifier' => 'contains-fld_locked'
						, 'key' => 'fld_locked'
						, 'label' => 'Folder locked'
						, 'source' => self::$_extIconPath . 'folder-locked.png'
				),
				'fld_orange' => array(
						'identifier' => 'contains-fld_orange'
						, 'key' => 'fld_orange'
						, 'label' => 'Folder orange'
						, 'source' => self::$_extIconPath . 'folder-orange.png'
				),
				'fld_red' => array(
						'identifier' => 'contains-fld_red'
						, 'key' => 'fld_red'
						, 'label' => 'Folder red'
						, 'source' => self::$_extIconPath . 'folder-red.png'
				),
				'fld_remote' => array(
						'identifier' => 'contains-fld_remote'
						, 'key' => 'fld_remote'
						, 'label' => 'Folder remote'
						, 'source' => self::$_extIconPath . 'folder-remote.png'
				),
				'fld_sound' => array(
						'identifier' => 'contains-fld_sound'
						, 'key' => 'fld_sound'
						, 'label' => 'Folder sound'
						, 'source' => self::$_extIconPath . 'folder-sound.png'
				),
				'fld_tar' => array(
						'identifier' => 'contains-fld_tar'
						, 'key' => 'fld_tar'
						, 'label' => 'Folder tar'
						, 'source' => self::$_extIconPath . 'folder-tar.png'
				),
				'fld_txt' => array(
						'identifier' => 'contains-fld_txt'
						, 'key' => 'fld_txt'
						, 'label' => 'Folder txt'
						, 'source' => self::$_extIconPath . 'folder-txt.png'
				),
				'fld_video' => array(
						'identifier' => 'contains-fld_video'
						, 'key' => 'fld_video'
						, 'label' => 'Folder video'
						, 'source' => self::$_extIconPath . 'folder-video.png'
				),
				'fld_violet' => array(
						'identifier' => 'contains-fld_violet'
						, 'key' => 'fld_violet'
						, 'label' => 'Folder violet'
						, 'source' => self::$_extIconPath . 'folder-violet.png'
				),
				'fld_yellow' => array(
						'identifier' => 'contains-fld_yellow'
						, 'key' => 'fld_yellow'
						, 'label' => 'Folder yellow'
						, 'source' => self::$_extIconPath . 'folder-yellow.png'
				),
				'highscore' => array(
						'identifier' => 'contains-highscore'
						, 'key' => 'highscore'
						, 'label' => 'Games highscore'
						, 'source' => self::$_extIconPath . 'games-highscores.png'
				),
				'roll' => array(
						'identifier' => 'contains-roll'
						, 'key' => 'roll'
						, 'label' => 'Games roll'
						, 'source' => self::$_extIconPath . 'roll.png'
				),
				'jquery' => array(
						'identifier' => 'contains-jquery'
						, 'key' => 'jquery'
						, 'label' => 'jQuery'
						, 'source' => self::$_extIconPath . 'jQuery.gif'
				),
				'library' => array(
						'identifier' => 'contains-library'
						, 'key' => 'library'
						, 'label' => 'Library'
						, 'source' => self::$_extIconPath . 'library.png'
				),
				'bomb' => array(
						'identifier' => 'contains-bomb'
						, 'key' => 'bomb'
						, 'label' => 'System bomb'
						, 'source' => self::$_extIconPath . 'edit-bomb.png'
				),
				'chronom' => array(
						'identifier' => 'contains-chronom'
						, 'key' => 'chronom'
						, 'label' => 'System chronometer'
						, 'source' => self::$_extIconPath . 'chronometer.png'
				),
				'configure' => array(
						'identifier' => 'contains-configure'
						, 'key' => 'configure'
						, 'label' => 'System configure'
						, 'source' => self::$_extIconPath . 'configure.png'
				),
				'appl-dev' => array(
						'identifier' => 'contains-appl-dev'
						, 'key' => 'appl-dev'
						, 'label' => 'System development'
						, 'source' => self::$_extIconPath . 'applications-development.png'
				),
				'home' => array(
						'identifier' => 'contains-home'
						, 'key' => 'home'
						, 'label' => 'System home'
						, 'source' => self::$_extIconPath . 'home-mdk.png'
				),
				'prefrncs' => array(
						'identifier' => 'contains-prefrncs'
						, 'key' => 'prefrncs'
						, 'label' => 'System preferences'
						, 'source' => self::$_extIconPath . 'preferences-system.png'
				),
				'sec-high' => array(
						'identifier' => 'contains-sec-high'
						, 'key' => 'sec-high'
						, 'label' => 'System security-high'
						, 'source' => self::$_extIconPath . 'security-high.png'
				),
				'sec-low' => array(
						'identifier' => 'contains-sec-low'
						, 'key' => 'sec-low'
						, 'label' => 'System security-low'
						, 'source' => self::$_extIconPath . 'security-low.png'
				),
				'sec-mdm' => array(
						'identifier' => 'contains-sec-mdm'
						, 'key' => 'sec-mdm'
						, 'label' => 'System security-medium'
						, 'source' => self::$_extIconPath . 'security-medium.png'
				),
				'stat-unknw' => array(
						'identifier' => 'contains-stat-unknw'
						, 'key' => 'stat-unknw'
						, 'label' => 'System status unknown'
						, 'source' => self::$_extIconPath . 'status_unknown.png'
				),
				'trash' => array(
						'identifier' => 'contains-trash'
						, 'key' => 'trash'
						, 'label' => 'System trash'
						, 'source' => self::$_extIconPath . 'user-trash.png'
				),
				'belayout' => array(
						'identifier' => 'contains-belayout'
						, 'key' => 'belayout'
						, 'label' => 'TYPO3 backend-layouts'
						, 'source' => self::$_extIconPath . 'backend_layout.gif'
				),
				'typo3' => array(
						'identifier' => 'contains-typo3'
						, 'key' => 'typo3'
						, 'label' => 'TYPO3 logo'
						, 'source' => self::$_extIconPath . 'typo3.png'
				),
				'tsconf' => array(
						'identifier' => 'contains-tsconf'
						, 'key' => 'tsconf'
						, 'label' => 'TYPO3 template'
						, 'source' => self::$_extIconPath . 'template.gif'
				),
		);
		
		return $icons;
	}

}
