<?php

use Netzmacher\Tsconf\Backend\Extensionmanager;

// #70445, 151006, dwildt, 3+
if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

/* * ****************************************************************************
 *
 * INDEX
 *
 * page_mod_web_layout_menu_function
 * page_mod_web_list_enableButtons
 * tca_ttcontentimages
 * user_options_filelist_enableButtons
 * page_tceform_pages
 * page_tceform_ttcontent
 * page_mod_shared_deflanguage
 * user_options_defaultUploadFolder
 * user_options_pagetreeuid
 * **************************************************************************** */


/* * ****************************************************************************
 * page_mod_web_layout_menu_function
 * **************************************************************************** */

if( Extensionmanager::getProperty(  'page_mod_web_layout_menu_function' ) )
{
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig( '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:tsconf/Configuration/TSconfig/Page/weblayout_menu_functions.txt">' );
}

/* * ****************************************************************************
 * page_mod_web_list_enableButtons
 * **************************************************************************** */

if( Extensionmanager::getProperty(  'page_mod_web_list_enableButtons' ) )
{
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig( '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:tsconf/Configuration/TSconfig/Page/weblist_enablebuttons.txt">' );
}

/* * ****************************************************************************
 * tca_ttcontentimages
 * **************************************************************************** */

switch( Extensionmanager::getProperty(  'tca_ttcontentimages' ) )
{
	case('Bootstrap'):
		$key = 'tsconf';
		$type = 'setup';
		$content = '
#############################################
## TypoScript added by extension "tsconf"
#############################################
tt_content.image.20.1.file.height.field = imageheight
tt_content.image.20.addClassesCol.override.cObject.10.12 = TEXT
tt_content.image.20.addClassesCol.override.cObject.10.12.value = col-md-1 col-sm-1 col-xs-12'
		;
		$afterStaticUid = 'defaultContentRendering';
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript( $key, $type, $content, $afterStaticUid );
		break;
	case('Disabled'):
	case('Default (recommended)'):
	default:
		break;
}

/* * ****************************************************************************
 * user_options_filelist_enableButtons
 * **************************************************************************** */

if( Extensionmanager::getProperty(  'user_options_filelist_enableButtons' ) )
{
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addUserTSConfig( '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:tsconf/Configuration/TSconfig/User/filelist_enablebuttons.txt">' );
}

/* * ****************************************************************************
 * page_tceform_ttcontent
 * **************************************************************************** */

if( Extensionmanager::getProperty(  'page_tceform_ttcontent' ) )
{
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig( '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:tsconf/Configuration/TSconfig/Page/tceform_ttcontent.txt">' );
}

/* * ****************************************************************************
 * page_mod_shared_deflanguage
 * **************************************************************************** */

switch( Extensionmanager::getProperty(  'page_mod_shared_deflanguage' ) )
{
	case('de'):
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addUserTSConfig( '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:tsconf/Configuration/TSconfig/Page/mod_shared_defaultlang_de.txt">' );
		break;
	case('en'):
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addUserTSConfig( '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:tsconf/Configuration/TSconfig/Page/mod_shared_defaultlang_en.txt">' );
		break;
	case(null):
	default:
// Don't include nothing
		break;
}

/* * ****************************************************************************
 * user_adminpanel
 * **************************************************************************** */

if( Extensionmanager::getProperty(  'user_adminpanel' ) )
{
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addUserTSConfig( '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:tsconf/Configuration/TSconfig/User/adminPanel.txt">' );
}

/* * ****************************************************************************
 * user_clearcachesystem
 * **************************************************************************** */

if( Extensionmanager::getProperty(  'user_clearcachesystem' ) )
{
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addUserTSConfig( '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:tsconf/Configuration/TSconfig/User/clearCacheSystem.txt">' );
}

/* * ****************************************************************************
 * user_options_cache
 * **************************************************************************** */

if( Extensionmanager::getProperty(  'user_options_cache' ) )
{
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addUserTSConfig( '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:tsconf/Configuration/TSconfig/User/options_cache.txt">' );
}

/* * ****************************************************************************
 * user_options_defaultUploadFolder
 * **************************************************************************** */

if( Extensionmanager::getProperty(  'user_options_defaultUploadFolder' ) )
{
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addUserTSConfig( '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:tsconf/Configuration/TSconfig/User/options_defaultUploadFolder.txt">' );
}

/* * ****************************************************************************
 * user_options_pagetreeuid
 * **************************************************************************** */

if( Extensionmanager::getProperty(  'user_options_pagetreeuid' ) )
{
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addUserTSConfig( '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:tsconf/Configuration/TSconfig/User/options_pagetreeuid.txt">' );
}